Bug 289931 - ofpath fails on 2.6.22.2-42.fc6 ppc
ofpath fails on 2.6.22.2-42.fc6 ppc
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-13 16:07 EDT by James Robinson
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.6.22.7-57.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 18:31:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Robinson 2007-09-13 16:07:11 EDT
Description of problem:
ofpath fails to run properly under 2.6.22.2-42.fc6. This makes re-running ybin
for a kernel upgrade fail. Therefore no upgrade ;-(.


Version-Release number of selected component (if applicable):
2.6.22.2-42.fc6

How reproducible:
Very.


Steps to Reproduce:
1. Take a fc6 powerpc box
2. yum update to 2.6.22.2-42.fc6
3. reboot
4. Then try to:
say, on a mac mini with IDE:

[root@mc02 sscadmin]# ofpath /dev/hda
ofpath: /dev/hda: Device not configured

This makes ybin fail, making yum upgrading to new kernel complain:

...
  Installing: kernel                       ####################### [23/64] 
ofpath: /dev/hda: Device not configured
ybin: Unable to find OpenFirmware path for boot=/dev/hda2
ybin: Please add ofboot=<path> where <path> is the OpenFirmware path to
/dev/hda2 to /etc/yaboot.conf
  Updating  : elfutils-libelf-devel-static ####################### [24/64] 
....

  
Actual results:

ofpath can't do its magic anymore, complains.

Expected results:

to do what 2.6.20-1.2962.fc6 and ilk did, return the open firmware path:
[root@fs2 ~]# uname -a
Linux fs2.socialserve.com 2.6.20-1.2962.fc6 #1 Tue Jun 19 18:27:08 EDT 2007 ppc
ppc ppc GNU/Linux
[root@fs2 ~]# ofpath /dev/hda2
/pci@f4000000/ata-6@d/disk@0:2


Additional info:
Comment 1 James Robinson 2007-09-13 16:24:08 EDT
After having manually fed in ofpath=/pci@f4000000/ata-6@d/disk@0:2 [ thankfully
these ppc mac minis are all the same ] in yaboot.conf, running ybin by hand, and
rebooting into 2.6.22.5-49.fc6, same result:

[root@app04 ~]# uname -a
Linux app04.socialserve.com 2.6.22.5-49.fc6 #1 Thu Aug 30 13:31:55 EDT 2007 ppc
ppc ppc GNU/Linux
[root@app04 ~]# 
[root@app04 ~]# 
[root@app04 ~]# ofpath /dev/hda
ofpath: /dev/hda: Device not configured
[root@app04 ~]# 
Comment 2 Chuck Ebbert 2007-09-13 16:50:37 EDT
This was fixed July 25th in Fedora 7 but not in FC6. Fixed now in FC6 CVS.

Note You need to log in before you can comment on or make changes to this bug.